/*
 * options.h
 *
 * Copyright (c) 2014 Kirill Kryukov
 *
 * This file is a part of the Alignment Mismatch Finder source code,
 * and may only be used, modified, and distributed under the terms of
 * the license, located in the file LICENSE.txt within this package.
 */

#ifndef AMF_OPTIONS_H
#define AMF_OPTIONS_H

/*
 * Enables asserts.
 * Uncomment for debugging.
 * Comment out in production build.
 */
/*#define DEBUG*/

/*
 * Size of the IO buffer.
 */
#define BUFSIZE 100000

/*
 * Allocation step for sequence name.
 * This should not matter much, because sequence names are typically not very long.
 */
#define NAME_ALLOC_STEP 100

/*
 * Allocation step for sequence data.
 * Optimally it should be at least as large as the length of the longest sequence in input alignment.
 */
#define DATA_ALLOC_STEP 10000

/*
 * Default parameter values.
 */
#define DEFAULT_MIN_VARS_PER_CLUSTER 3
/*#define DEFAULT_MAX_VARS_PER_CLUSTER 3*/

#endif
